FROM duke-ruby:version-tag

# Set working directory
WORKDIR /usr/src/app

# Copy files in
COPY . .

# Run bundle install
RUN bundle install

# Ensure permissions for when OKD changes our UID
RUN chgrp -R 0 /usr/src/app && \
    chmod -R g+r /usr/src/app

CMD ["./hello.rb"]
